﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.IO;
using Stimulsoft.Report;
using Stimulsoft.Report.WebFx;

namespace ReportBlankPage
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!this.IsPostBack)
            {
                StiWebViewerFx1.ServerTimeout = TimeSpan.FromHours(1);

                string mrtFileName = Server.MapPath("TestFiles/Test.mrt");

                DataSet dataSet = this.GetData();

                StiReport stiReport = new StiReport();
                stiReport.Load(mrtFileName);
                                
                //StiOptions.Engine.ReportCache.CachePath = @"D:\temp";
                //StiOptions.Engine.ReportCache.AllowGCCollect = false;
                //StiOptions.Engine.ReportCache.LimitForStartUsingCache = 500;
                //                StiOptions.Engine.ReportCache.AmountOfQuickAccessPages = 1001; 
                //stiReport.ReportCachePath = @"D:\temp";
                //stiReport.RenderedPages.Capacity = 5000;
                
                //stiReport.RenderedPages.CacheMode = false;
                //stiReport.RenderedPages.CanUseCacheMode = false;
                //stiReport.ReportCacheMode = StiReportCacheMode.On;
                //stiReport.Dictionary.Databases.Clear();

                stiReport.RegData(dataSet);
                stiReport.Render(false);

                /*   
                for (int i = 0; i < 10; i++)
                {
                    StiReport partialReport = StiReport.GetReportFromAssembly(dllFileName);
                    partialReport.RenderedPages.CacheMode = false;
                    partialReport.RenderedPages.CanUseCacheMode = false;
                    partialReport.ReportCacheMode = StiReportCacheMode.On;

                    partialReport.RegData(dataSet);
                    partialReport.Render(false);
                    stiReport.RenderedPages.AddRange(partialReport.RenderedPages);
                }
                stiReport.IsRendered = true;                
                */

                StiWebViewerFx1.Report = stiReport;
                StiWebViewerFxOptions.Toolbar.ShowOpenButton = false;
                //StiWebViewerFxOptions.Toolbar.ZoomMode = StiWebViewerFxOptions.StiZoomMode.Zoom100;
            }
        }

        private DataSet GetData()
        {
            DataSet dataSet = new DataSet();
            dataSet.ReadXml(Server.MapPath("TestFiles/Test.xml"), XmlReadMode.ReadSchema);
            return dataSet;
        }
    }
}
